<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
	xmlns:tns="http://schemas.newvoice.ch/nvoodb/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="nvoodb"
	targetNamespace="http://schemas.newvoice.ch/nvoodb/">

	<wsdl:types>
		<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			targetNamespace="http://schemas.newvoice.ch/nvoodb/">
			<xsd:complexType name="ErrorType">
				<xsd:sequence maxOccurs="1" minOccurs="1">
					<xsd:element name="Code" type="xsd:int" maxOccurs="1"
						minOccurs="1" />
					<xsd:element name="Message" type="xsd:string"
						maxOccurs="1" minOccurs="1" />
					<xsd:element name="UserInfo" type="xsd:string"
						maxOccurs="1" minOccurs="0" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="VersionType">
				<xsd:sequence maxOccurs="1" minOccurs="1">
					<xsd:element name="Version" type="xsd:string"
						maxOccurs="1" minOccurs="1" />
					<xsd:element name="Revision" type="xsd:string"
						maxOccurs="1" minOccurs="1" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="ReferenceObjType">
				<xsd:sequence maxOccurs="1" minOccurs="1">
					<xsd:element name="Area" type="xsd:anySimpleType"
						maxOccurs="1" minOccurs="1" />
					<xsd:element name="Name" type="xsd:string" maxOccurs="1"
						minOccurs="1" />
					<xsd:element name="Reference" type="xsd:anySimpleType"
						maxOccurs="1" minOccurs="1" />
					<xsd:element name="Index" type="xsd:anySimpleType"
						maxOccurs="1" minOccurs="0" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="DataObjType">
				<xsd:sequence maxOccurs="1" minOccurs="1">
					<xsd:element name="ReferenceObj" type="tns:ReferenceObjType"
						maxOccurs="1" minOccurs="1" />
					<xsd:element name="Data" type="tns:DataType" maxOccurs="unbounded"
						minOccurs="0" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="DataType">
				<xsd:sequence maxOccurs="1" minOccurs="1">
					<xsd:element name="Value" type="xsd:anySimpleType"
						maxOccurs="1" minOccurs="1" />
				</xsd:sequence>
				<xsd:attribute name="Name" type="xsd:string" />
			</xsd:complexType>
		</xsd:schema>
	</wsdl:types>

	<wsdl:message name="VersionRequest" />
	<wsdl:message name="VersionResponse">
		<wsdl:part name="Version" type="tns:VersionType" />
	</wsdl:message>

	<wsdl:message name="ExecuteRequest">
		<wsdl:part name="Object" type="xsd:anyType" />
		<wsdl:part name="Method" type="xsd:string" />
		<wsdl:part name="Parameter" type="xsd:anyType" />
	</wsdl:message>
	<wsdl:message name="ExecuteResponse">
		<wsdl:part name="Result" type="xsd:anyType" />
	</wsdl:message>

	<wsdl:message name="EchoTestRequest">
		<wsdl:part name="Parameter" type="xsd:anyType" />
	</wsdl:message>
	<wsdl:message name="EchoTestResponse">
		<wsdl:part name="Result" type="xsd:anyType" />
	</wsdl:message>

	<wsdl:portType name="NvOoDbPortType">
		<wsdl:operation name="Version">
			<wsdl:input message="tns:VersionRequest" />
			<wsdl:output message="tns:VersionResponse" />
		</wsdl:operation>
		<wsdl:operation name="Execute">
			<wsdl:input message="tns:ExecuteRequest" />
			<wsdl:output message="tns:ExecuteResponse" />
		</wsdl:operation>
		<wsdl:operation name="EchoTest">
			<wsdl:input message="tns:EchoTestRequest" />
			<wsdl:output message="tns:EchoTestResponse" />
		</wsdl:operation>
	</wsdl:portType>

	<wsdl:binding name="NvOoDbBinding" type="tns:NvOoDbPortType">
		<soap:binding style="rpc"
			transport="http://schemas.xmlsoap.org/soap/http" />
		<wsdl:operation name="Version">
			<soap:operation soapAction="http://schemas.newvoice.ch/nvoodb/Version" />
			<wsdl:input>
				<soap:body use="encoded" namespace="http://schemas.newvoice.ch/nvoodb/"
					encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
			</wsdl:input>
			<wsdl:output>
				<soap:body use="encoded" namespace="http://schemas.newvoice.ch/nvoodb/"
					encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="Execute">
			<soap:operation soapAction="http://schemas.newvoice.ch/nvoodb/Execute" />
			<wsdl:input>
				<soap:body use="encoded" namespace="http://schemas.newvoice.ch/nvoodb/"
					encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
			</wsdl:input>
			<wsdl:output>
				<soap:body use="encoded" namespace="http://schemas.newvoice.ch/nvoodb/"
					encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="EchoTest">
			<soap:operation soapAction="http://schemas.newvoice.ch/nvoodb/EchoTest" />
			<wsdl:input>
				<soap:body use="encoded" namespace="http://schemas.newvoice.ch/nvoodb/"
					encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
			</wsdl:input>
			<wsdl:output>
				<soap:body use="encoded" namespace="http://schemas.newvoice.ch/nvoodb/"
					encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>

	<wsdl:service name="NvOoDbService">
		<wsdl:port binding="tns:NvOoDbBinding" name="NvOoDbPort">
			<soap:address location="http://NV-WS/nvsoap.php?serv=nvoodb" />
		</wsdl:port>
	</wsdl:service>
</wsdl:definitions>